Bug 35320 - EDITING: Justified problem in arabic
Summary: EDITING: Justified problem in arabic
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: high normal
Assignee: Ahmad Harthi
QA Contact:
URL:
Whiteboard:
Keywords:
: 58980 62751 88976 (view as bug list)
Depends on: 64559
Blocks: 65344
  Show dependency treegraph
 
Reported: 2011-03-15 00:37 UTC by Wassim Kassimi
Modified: 2016-02-13 16:10 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
see the red box (113.05 KB, image/png)
2011-03-15 00:37 UTC, Wassim Kassimi
Details
odt file (17.18 KB, application/vnd.oasis.opendocument.text)
2011-03-15 00:53 UTC, Wassim Kassimi
Details
font file (521.73 KB, application/x-font-ttf)
2011-03-15 00:56 UTC, Wassim Kassimi
Details
Generated by libo bootstrap: f67863ca3e (41.38 KB, application/pdf)
2011-03-15 01:17 UTC, martin_hosken
Details
PDF file LO 4.1.2.3 ArchLinux (21.34 KB, application/pdf)
2013-10-15 21:27 UTC, Eman Amini
Details
ODT file LO 4.1.2.3 ArchLinux (16.58 KB, application/vnd.oasis.opendocument.text)
2013-10-15 21:28 UTC, Eman Amini
Details
ODT and PDF and TTF files are contented in this ZIP file. (293.29 KB, application/zip)
2014-03-14 22:00 UTC, Eman Amini
Details
the problem is solved in OpenOffice (177.89 KB, image/png)
2015-01-06 14:04 UTC, akfoss
Details
Bug is not solved in AOO (19.86 KB, application/pdf)
2015-01-22 08:45 UTC, Eman Amini
Details
bug in arabic justified text in windows (font:Arabic Typestting) (33.42 KB, image/png)
2016-02-13 16:10 UTC, Saeed hubaishan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wassim Kassimi 2011-03-15 00:37:18 UTC
Created attachment 44463 [details]
see the red box

the problem that when you try to do justify to your text you see some kashidas added between words see the picture in the attachment
Comment 1 Wassim Kassimi 2011-03-15 00:53:59 UTC
Created attachment 44464 [details]
odt file
Comment 2 Wassim Kassimi 2011-03-15 00:56:21 UTC
Created attachment 44465 [details]
font file
Comment 3 martin_hosken 2011-03-15 01:17:22 UTC
Created attachment 44466 [details]
Generated by libo bootstrap: f67863ca3e

This bug seems to have been fixed in the development version of libo. The PDF needs checking.
Comment 4 Wassim Kassimi 2013-02-24 20:53:11 UTC
the same problem was been solved in the 3.5 versions but in the 4th or 3.6 the problem is returned, i hope that the group resolve this problem because i use the Writer so much
Comment 5 Ahmad Harthi 2013-04-06 09:22:36 UTC
*** Bug 58980 has been marked as a duplicate of this bug. ***
Comment 6 Ahmad Harthi 2013-04-06 09:36:11 UTC
This bug was there since OOo3.0, it just got worse in LO 3.6
Comment 7 Ahmad Harthi 2013-04-06 09:40:27 UTC
*** Bug 62751 has been marked as a duplicate of this bug. ***
Comment 8 Ahmad Harthi 2013-04-12 12:47:35 UTC
I'll take this bug, i've made some experiments and I know how to fix it.
Comment 9 Commit Notification 2013-04-28 06:20:52 UTC
Ahmad H. Al Harthi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c4b9db8bbaed7acd064a4015fabe784c4fbca21

fdo#35320 A fix for Arabic justification problem caused by kashidas



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Eman Amini 2013-04-28 07:59:33 UTC
I want to apply this patch but I do not know how to do that.
Anyway I am running Ubuntu and Archlinux. When the patch apply to the source code so I can compile it?
I look after deb or source code in here http://dev-builds.libreoffice.org/daily/ but there was only rpm.
Comment 11 Ahmad Harthi 2013-04-28 09:50:54 UTC
(In reply to comment #10)
> I want to apply this patch but I do not know how to do that.
> Anyway I am running Ubuntu and Archlinux. When the patch apply to the source
> code so I can compile it?
> I look after deb or source code in here
> http://dev-builds.libreoffice.org/daily/ but there was only rpm.

The patch is already in the master, also you can convert those rpm packages to deb using alien (not recommended).
Comment 12 Ahmad Harthi 2013-04-28 09:53:24 UTC
Please test this patch "heavily" with as much fonts as possible, there is still some tuning needed to make it work perfectly.
Comment 13 Eman Amini 2013-04-28 10:08:40 UTC
Thank you Ahmad for your great job.
I'm gonna install fedora and test this with many different fonts.
Comment 14 Michael Meeks 2013-05-22 19:07:51 UTC
Would be lovely (if we're confident with the result after testing) to back-port it to -4-0 and close the bug ? :-)
Comment 15 Ahmad Harthi 2013-05-23 10:21:39 UTC
(In reply to comment #14)
> Would be lovely (if we're confident with the result after testing) to
> back-port it to -4-0 and close the bug ? :-)

The problem is 90% solved, there is still one more issue with ligatures (kashidas should not be added to ligatures).

I've a good idea about fixing this, I'll try to make a patch for this next week.
Comment 16 Ahmad Harthi 2013-06-04 11:41:40 UTC
I'll mark this as solved, I've opened a new bug for ligatures problem.

Can we back-port this to 4.0.4.2?
Comment 17 Ahmad Harthi 2013-06-16 09:44:18 UTC
We need a review for this small change to get it in 4.0.x
Comment 18 Eman Amini 2013-10-15 21:27:23 UTC
Created attachment 87698 [details]
PDF file LO 4.1.2.3 ArchLinux

Archlinux Libreoffice Version: 4.1.2.3 the bug is still here.
Comment 19 Eman Amini 2013-10-15 21:28:24 UTC
Created attachment 87699 [details]
ODT file LO 4.1.2.3 ArchLinux
Comment 20 Amir Karimi 2013-12-14 18:00:42 UTC
As it mentioned by comment 19 (https://bugs.freedesktop.org/show_bug.cgi?id=35320#c19) it's still not fixed (Ubuntu 13.10, LibreOffice 4.1.3.2).
Comment 21 Amir Karimi 2013-12-14 18:07:19 UTC
I've tested the same document on Windows and Linux; there was no problem on Windows. Please note that the problem is Linux specific (or maybe other platforms). Or maybe it's because of the fonts.
Comment 22 Ahmad Harthi 2013-12-15 15:33:31 UTC
(In reply to comment #21)
> I've tested the same document on Windows and Linux; there was no problem on
> Windows. Please note that the problem is Linux specific (or maybe other
> platforms). Or maybe it's because of the fonts.

This bug affects all platforms but with different levels, anyway I'll resume working on it ASAP.
Comment 23 Amir Karimi 2013-12-16 10:07:20 UTC
(In reply to comment #22)
> (In reply to comment #21)
> > I've tested the same document on Windows and Linux; there was no problem on
> > Windows. Please note that the problem is Linux specific (or maybe other
> > platforms). Or maybe it's because of the fonts.
> 
> This bug affects all platforms but with different levels, anyway I'll resume
> working on it ASAP.

Thank you so much for your effort Ahmad.
Comment 24 Eman Amini 2014-03-14 10:54:57 UTC
Unfortunately I have to back to Ubuntu 12.04 LTS and LO 3.5.7.2. This problem is really annoying.
Will it be fixed on LO 4.2.4 to reach Ubuntu 14.04 LTS.
Comment 25 Ahmad Harthi 2014-03-14 13:28:20 UTC
(In reply to comment #24)
> Unfortunately I have to back to Ubuntu 12.04 LTS and LO 3.5.7.2. This
> problem is really annoying.
> Will it be fixed on LO 4.2.4 to reach Ubuntu 14.04 LTS.

Would you please tell me which fonts you have the problem with? can you attach a screenshot and an example file?
Comment 26 Eman Amini 2014-03-14 22:00:42 UTC
Created attachment 95820 [details]
ODT and PDF and TTF files are contented in this ZIP file.

(In reply to comment #25)
> Would you please tell me which fonts you have the problem with? can you
> attach a screenshot and an example file?

Dear Ahmad
Thank you for respond. 
I attached a zip files includes some ODT and PDF and TTF files.
The situation of  B Nazanin font is worse  than XB Yas. But the B Nazanin font is the most used font for Persian books an d I need LO to work with all of those (especially B Nazanin) appropriately.
Even XB Yas that is a up to dated font is still have some problem that I highlighted in ODT and PDF files.
Thank you so much for your support.
Comment 27 Joel Madero 2014-08-08 03:55:13 UTC
Is this problem resolved in 4.2? Can we mark as RESOLVED->FIXED?
Comment 28 Ahmad Harthi 2014-08-08 13:14:46 UTC
(In reply to comment #27)
> Is this problem resolved in 4.2? Can we mark as RESOLVED->FIXED?

No, the problem isn't solved yet.
Comment 29 Björn Michaelsen 2014-10-30 14:49:12 UTC
*** Bug 58980 has been marked as a duplicate of this bug. ***
Comment 30 Joel Madero 2014-11-02 16:29:32 UTC
I am moving this back to UNCONFIRMED so that we can get the QA team to confirm it (and set to NEW). REOPENED is only if the bug is currently assigned to a developer, which this one is not.
Comment 31 Buovjaga 2014-11-15 15:52:35 UTC
(In reply to Joel Madero from comment #30)
> I am moving this back to UNCONFIRMED so that we can get the QA team to
> confirm it (and set to NEW). REOPENED is only if the bug is currently
> assigned to a developer, which this one is not.

It is assigned to Ahmad :)
Comment 32 akfoss 2015-01-06 14:04:13 UTC
Created attachment 111849 [details]
the problem is solved in OpenOffice
Comment 33 akfoss 2015-01-06 14:06:05 UTC
As can be seen here (https://www.libreoffice.org/bugzilla/attachment.cgi?id=111849) the problem is solved in Apache OpenOffice 4.1.1 but not on LibreOffice 4.2.7.2 on Trisquel GNU/Linux using XB YAS Niloofar font.
Comment 34 h66m9d 2015-01-09 04:34:33 UTC
All other Persian font are also in trouble.
Comment 35 Joel Madero 2015-01-17 23:00:19 UTC
This is not a critical bug - please do not change priority/severity without knowing how QA does it. Moving back to Normal - please don't move it back.
Comment 36 Joel Madero 2015-01-17 23:01:17 UTC
Also how can it be a regression if it was inherited from OOo? What version did it work in and what version is it broken in? If it's inherited - it should not contain "regression" in keyword.
Comment 37 Eman Amini 2015-01-18 07:28:37 UTC
Almost 4 years and still the bug is annoying me. It is really embarrassing. I think if I quit my job and started to learn programming language to fix this problem it would be fixed sooner.
I know I know it is free software and it does not owe me a penny but it is an awkward situation that Linux operation systems has an office suit (the most popular one) which cannot fix a annoying but after this long time.
I know I know this is not a place for complaining but PLEASE SOME ONE DO SOMETHING!!!
Comment 38 Khaled Hosny 2015-01-18 07:56:24 UTC
If I quit my job, I could have fixed it by now as well. I'm pretty sure that there is no shortage of people who can fix it if they all quit their jobs. What we are lacking is people who can fiz it while keeping their jobs.
Comment 39 Joel Madero 2015-01-21 23:09:37 UTC
@Eman - your comment is entirely unhelpful.

https://joelmadero.wordpress.com/2014/10/11/user-expectations-and-the-reality-of-our-community/
Comment 40 Eman Amini 2015-01-22 07:36:25 UTC
(In reply to Khaled Hosny from comment #38)
Unfortunately you are not smart enough to get my words.

(In reply to Joel Madero from comment #39)
Mr Joel if you invested all your life (job) on this program and now it doesn't do what it supposes to, you'd act like me. I know my comment is unhelpful but I did my best for this bug before as a regular person and now I'm totally frustrated.
Comment 41 Eman Amini 2015-01-22 07:40:17 UTC
And this and previous comments (mine) were my last comment which doesn't include technical info. I'm not gonna argue with you and reply with comments which aren't useful for this bug.
Comment 42 Eman Amini 2015-01-22 08:45:19 UTC
Created attachment 112647 [details]
Bug is not solved in AOO

This problem is not solved in AOO (OpenOffice).
As I know this bug was in LO 3.5 but it was not very bad (It was Like current AOO).
But the condition in LO 3.6 got worse. I think 3.6 was rewritten completely.
I attach a pdf of AOO with this bug. As far as I know AOO never do anything for this bug and the bug on AOO is like what it was on LO 3.5. But it wasn't so bad that we couldn't deal with it. It did the job.

AOO ver: 4.1
Font: XB Yas
Comment 43 Björn Michaelsen 2015-01-27 22:50:02 UTC
Removing 'regression' as per comment 42.
Comment 44 Yousuf Philips (jay) 2015-02-03 13:36:02 UTC
*** Bug 88976 has been marked as a duplicate of this bug. ***
Comment 45 tommy27 2015-07-22 20:12:49 UTC
moving it back to the NEW list
Comment 46 Ahmad Gharbeia 2015-08-16 09:51:08 UTC
This was fixed before, probably in 3
It keeps reappearing.
It is now in 5.0.0.5
Comment 47 Saeed hubaishan 2016-02-13 16:10:35 UTC
Created attachment 122623 [details]
bug in arabic justified text in windows (font:Arabic Typestting)